Skip to main content

GET /kv/rest/v1/values REST API Endpoint

Retrieves the keys of all Key-Value Store values in your account. Returns an array of key names (not the values). Use this to discover which values exist before retrieving specific values with the GET /kv/rest/v1/values/{key} endpoint.

Updated on
Jul 16, 2026

Parameters

This method does not accept any parameters

Returns

data
object

The data object which contains the following fields:

keys
array

Retrieves an array of keys

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free